/*
 The software in this package is distributed under the GNU General
 Public License version 2 (with a special exception described below).

 A copy of GNU General Public License (GPL) is included in this distribution,
 in the file COPYING.GPL.

 As a special exception, if other files instantiate templates or use macros
 or inline functions from this file, or you compile this file and link it
 with other works to produce a work based on this file, this file
 does not by itself cause the resulting work to be covered
 by the GNU General Public License.

 However the source code for this file must still be made available
 in accordance with section (3) of the GNU General Public License.

 This exception does not invalidate any other reasons why a work based
 on this file might be covered by the GNU General Public License.

 Christian Herdtweck, Intra2net AG 2015
 */

#include "host/pingstatus.h"

std::string to_string( const PingStatus &status )
{
    switch (status)
    {
        case PingStatus_NotSent: return "PingNotSent"; break;
        case PingStatus_SuccessReply: return "PingSucceeded"; break;
        case PingStatus_FailureOther: return "PingFailed"; break;
        case PingStatus_FailureTimeout: return "PingTimedOut"; break;
        case PingStatus_FailureDestinationUnreachable:
                                         return "PingFailed(DestUnreachable)";
                                         break;
        case PingStatus_FailureNoIP: return "PingFailed(NoIP)"; break;
        case PingStatus_SuccessOutdatedIP: return "PingSucceeded(OutdatedIP)";
                                           break;
        case PingStatus_FailureAsyncCancel: return "PingFailed(AsyncCancel)";
                                            break;
        case PingStatus_FailureAsyncError: return "PingFailed(AsyncError)";
                                           break;
        default: return "PingStatusUnknown"; break;
    }
}

